#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"

#define OF_ADDON_USING_OFXTUIO

#include "ofAddons.h"

//--------------------------------------------------------
class testApp : public ofSimpleApp, public ofxTuioEventListener{
	
public:
	
	void setup();
	void update();
	void draw();
	
	void keyPressed  (int key);
	void mouseMoved(int x, int y );
	void mouseDragged(int x, int y, int button);
	void mousePressed(int x, int y, int button);
	void mouseReleased();
	
	void tuioDown(int x, int y, long id);
	void tuioUp(int x, int y, long id);
	void tuioMoved(int x, int y, long id);
	
private:
	myTuioClient tuio;
	//ofxTuioEventManager test;
};

#endif	
